<?
sleep(1);
session_start();
date_default_timezone_set('Europe/Moscow');
set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/func.php';
clearstatcache();
$qiwiacc = $config_pay['qiwi_phone'];
$qiwipass = $config_pay['qiwi_pass'];

if(isset($_SESSION['pay']) AND isset($_POST['codeqiwi'])) {
$transaction = intval(trim(clean($_POST['codeqiwi'])));
$transid = (int)$_SESSION['pay'];

if(empty($_POST['codeqiwi'])) { echo '<font color="red">Вы не указали номер перевода (транкзацию).</font>'; exit();  }

$sql = $pdo->Query("SELECT * FROM `php_inserts` WHERE `id` = '$transid'");
$datepay = $sql->Fetch();

$datanum = $sql->RowCount();

if($datanum == 0) { unset($_SESSION['pay']); echo 'Ошибка проверки платежа.'; exit(); }




$sqlq = $pdo->Query("SELECT * FROM `php_inserts` WHERE `codeqiwi` = '$transaction'");

$repeat = $sqlq->RowCount();

if($repeat >= 1) { unset($_SESSION['pay']); echo 'Ошибка проверки платежа.'; exit(); }



include_once ROOT_DIR . '/engine/qiwi.class.php';
$qiwi = new Qiwi($qiwiacc, $qiwipass, $_SERVER['DOCUMENT_ROOT'].'/tmp/cookie.txt');
$date1 = date( 'd.m.Y', strtotime( '-1 day' ) );
$date2 = date( 'd.m.Y', strtotime( '+1 day' ) );
$operations = $qiwi->GetHistory($date1,$date2);

foreach($operations as $value) {
if($value['iID'] == $transaction && $value["sType"] == "INCOME" && $value["sStatus"] == "SUCCESS" && $value["sCurrency"] == "RUB") {
$ok = true;
$summ = $value['dAmount'];
} }

if($summ == $datepay['summa']) {
if($ok == true) {

$pdo->Query("UPDATE `php_user` SET `money` = `money` + '$summ' WHERE `id` = '" . $_SESSION['id'] . "'");
$pdo->Query("UPDATE `php_inserts` SET `status` = '1', `codeqiwi` = '$transaction'  WHERE `id` = '$transid'");


include_once ROOT_DIR . '/engine/libmail.php';
              $sqlqs = $pdo->Query("SELECT * FROM `php_engine` WHERE `id` = '1'");
              $refdata = $sqlqs->Fetch();
              $smtp_port = $refdata['smtp_port'];
              $port = $refdata['port'];
              $smtp_email = $refdata['smtp_email'];
              $password = $refdata['password'];

            $messag = '
                         <html>
                         <head>
                         <title>Пополнение личного счёта</title>
                         <style type="text/css">
                         html, body {
                         margin:0;
                         margin-left:5px;
                         padding:0;
                         font-size:12px;
                         }
                         p {
                         margin:0;
                         padding:3px;
                         }
                         </style>
                         </head>
                         <body>
                         <p>В магазине akclub.ru был оплачен счёт</b>.</p>
                         <p>--------------------------------------------</p>
                         <p>Через Qiwi Wallet на сумму '.$summ.'.</p>
                         </html>';

                         $m = new Mail;
                         $m->From( 'Пополнение личного счёта;' . $smtp_email ); // от кого отправляется почта
                         $m->To( 'ieshop32@gmail.com' ); // кому адресованно
                         $m->Subject( 'Пополнение личного счёта ' . $_SERVER["HTTP_HOST"] );
                         $m->Body( $messag );
                        //$m->Cc( "copy@asd.com"); // копия письма отправится по этому адресу
                        //$m->Bcc( "bcopy@asd.com"); // скрытая копия отправится по этому адресу
                         $m->Priority( 3 ); // приоритет письма
                        //$m->Attach( "asd.gif","", "image/gif" ) ; // прикрепленный файл
                         $m->smtp_on( $smtp_port, $smtp_email, $password, $port ); // если указана эта команда, отправка пойдет через SMTP
                         $m->Send(); // а теперь пошла отправка

unset($_SESSION['pay']);

echo '<font color="green">Оплата прошла успешно!</font>';

?>

<script>  setTimeout( "location='/profile';", 3000 ); </script>

<?

} else echo '<font color="red">Оплата еще не получена, подождите 10 секунд.</font>'; exit();

} else echo '<font color="red">Сумма платежа не совпадает с отправленной суммой!</font>'; exit();

} else echo '<font color="red">Повторите попытку через 30 секунд!</font>';

exit();

?>